"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSchemaOptions = exports.getSchema = exports.assetSchema = void 0;
var _normalizr = require("normalizr");
const getSchemaOptions = overrides => ({
  idAttribute: entity => entity.sys.id,
  ...overrides
});
exports.getSchemaOptions = getSchemaOptions;
const assetSchema = exports.assetSchema = new _normalizr.schema.Entity('assets', {}, getSchemaOptions());
const getSchema = overrides => ({
  includes: {
    Asset: [assetSchema]
  },
  ...overrides
});
exports.getSchema = getSchema;